<?php

class Language
{
   const _DEFAULT_LANGUAGE_ = 'ENGLISH';
   static private $_language = NULL;

   static private $_phrase = NULL;

   function __construct()
   {
      echo 'ok';
   }

   function setLanguage( $pLanguage = false )
   {
      if ( !$pLanguage || !is_file($pLanguage . '_language.txt') )
         return false;

      $this->_language = $pLanguage;
      $this->_phrase = file($this->_language . '_language.txt');

      foreach($this->_phrase as $val )
      {
         $_phrase = explode('', $val);
         if ( sizeof($_phrase) != 2 )
            continue;
         $this->_phrase[$_phrase[0]] = $_phrase[1];
      }
   }

   public function phrase( $pPhrase )
   {
      if ( !$this->_phrase || !isset($this->_phrase[$pPhrase]) )
         return '** ' . self::_DEFAULT_LANGUAGE_;
      else
         return $this->_phrase[$pPhrase];
   }
}

?>
