#!/usr/bin/php -Cq
<?php
   //error_reporting(0);
   //ini_set( 'track_errors', '1' );
   ###
   # This file is prepared for receive dependable connections but
   # exists a BUG in the PHP related with the library OpenSSL that
   # doesn't permit the enable crypto in connection created.
   #
   # See [Bug #40993 stream_socket_accept() : accept failed] in
   # http://bugs.php.net/bug.php?id=40993&edit=1
   #
   #
   ###
   require_once('inc/IMConfigure.php');

   ###
   # definitions of socket - BEGIN
   #
      /***
       * This file is prepared for receive dependable connections but
       * exists a BUG in the PHP related with the library OpenSSL that
       * doesn't permit the enable crypto in connection created.
       *
       * See [Bug #40993 stream_socket_accept() : accept failed] in
       * http://bugs.php.net/bug.php?id=40993&edit=1
       *
       *
       * It's necessary to remove all the comments made with '//'
       * for safe connection
       *
       *
       * WARNING - DANGER:
       *
       * Before remove all the comments made with '//' for safe
       * connection, it's necessary to remove all the comments
       * made with '//' in the file IMConfigure.php
       * If this will not be made will happen many ERRORS
       ***/

      //define("CONTEXT", stream_context_create());

      define('URI', '0.0.0.0');

      define('TARGET_NON_SECURITY', TRANSPORT_NON_SECURITY . '://' . URI  . ':' . PORT_NON_SECURITY);
      //define('TARGET_SECURITY', TRANSPORT_SECURITY . '://' . URI  . ':' . PORT_SECURITY);

      //stream_context_set_option(CONTEXT, 'ssl', 'local_cert', './apache.pem'); # local_cert must be in PEM format
      //stream_context_set_option(CONTEXT, 'ssl', 'allow_self_signed', true);
      //stream_context_set_option(CONTEXT, 'ssl', 'verify_peer', false);

      define('SOCKET_NON_SECURITY', stream_socket_server(TARGET_NON_SECURITY, $errno_non_security, $errstr_non_security, STREAM_SERVER_BIND | STREAM_SERVER_LISTEN));
      //define('SOCKET_SECURITY', stream_socket_server(TARGET_SECURITY, $errno_security, $errstr_security, STREAM_SERVER_BIND | STREAM_SERVER_LISTEN, CONTEXT));
   #
   # definitions of socket - END
   ###

   //if ( !SOCKET_NON_SECURITY || !SOCKET_SECURITY ) # It's necessary to remove the next line for safe connection
   if ( !SOCKET_NON_SECURITY )
   {
      printf("NON SECURITY:\n(%d) %s", $errno_non_security, $errstr_non_security);
      //printf("SECURITY:\n(%d) %s", $errno_security, $errstr_security);
      exit(0);
   }

   include 'inc/Jabberd2.abstract.php';

   //$master = array(SOCKET_NON_SECURITY, SOCKET_SECURITY); # It's necessary to remove the next line for safe connection
   $master = array(SOCKET_NON_SECURITY);

   $users = array();

   $send = false;

   while ( 1 )
   {
      $read = $master;
      $_w = NULL;
      $_e = NULL;
       
      $mod_fd = @stream_select($read, $_w , $_e , READ_SOCKET_AFTER_OF);

      if ( $mod_fd === FALSE )
         break;

      for ( $i = 0; $i < $mod_fd; ++$i )
         if ( $read[$i] === SOCKET_NON_SECURITY )
         {
            $conn_non_security = stream_socket_accept(SOCKET_NON_SECURITY);
            # fwrite($conn_non_security, "Hello! The time is " . date("n/j/Y g:i:s a"));
            $master[] = &$conn_non_security;
         }
         //else if ( $read[$i] === SOCKET_SECURITY )
         //{
         //   $conn_security = stream_socket_accept(SOCKET_SECURITY);
         //   fwrite($conn_security, "Hello! The time is " . date("n/j/Y g:i:s a")."\n");
         //   $master[] = &$conn_security;
         //}
         else
         {
            $sock_data = fread($read[$i], 1024);
            if ( strlen($sock_data) === 0 )
            {
               printf("Connection closed");
               $key_to_del = array_search($read[$i], $master, TRUE);
               fclose($read[$i]);
               unset($master[$key_to_del]);
            }
            else if ( $sock_data === FALSE )
            {
               printf("Something bad happened");
               $key_to_del = array_search($read[$i], $master, TRUE);
               unset($master[$key_to_del]);
            }
            else
            {
               # printf("\n\n%s\n\n", $sock_data);
               $headers = (split("\n", $sock_data));

               preg_match('/^(GET|POST) \/(.+) HTTP\/1\.1/U', $headers[0], $request);
               preg_match('/^Host: \w*:(.+)/', $headers[1], $host);

               //if ( (int)$host[1] == PORT_NON_SECURITY ) 
                  $conn = &$conn_non_security;
               //else
               //   $conn = &$conn_security;

               $request = explode(';', $request[2]);

               if ( $request[0] == CONNECT && isset($request[1]) && !isset($users[$request[1]]) )
                  connect($users, $request[1]);

               if ( $request[0] == CLOSE && isset($request[1]) && isset($users[$request[1]]) )
                  close($request[1]);

               fclose($read[$i]);
               unset($master[array_search($read[$i], $master)]);
            }
         }

      foreach ( $users as $key => $val )
      {
         if ( (time() - $users[$key]['time'] > DISCONNECT_AFTERWARDS_OF) )
            if ( $users[$key]['attempt'] > 2 )
            {
               $users[$key]['attempt'] = 0;
               close($key);
            }
            else
            {
               $users[$key]['attempt']++;
               readSocket($users, $key);
            }
         else
         {
            $users[$key]['attempt'] = 0;
            readSocket($users, $key);
         }
      }

      //print_r($users);
   }

   exit(0);

   function connect(&$pUsers, $pSession)
   {
      $sessionpath = explode(';', session_save_path());
      foreach ( $sessionpath as $path )
      {
         $path = ( strrpos($path, '/') == strlen($path) - 1 ) ? $path : $path . '/';

         if ( file_exists($path . 'sess_' . $pSession) )
         {
            session_id($pSession);

            ob_start();
            session_start();
            ob_clean();
            ob_end_flush();

            $is_user = isset($_SESSION['phpgw_info']['instant_messenger']['user']) and isset($_SESSION['phpgw_info']['instant_messenger']['passwd']);
            if ( $is_user )
            {
               $_user     = $_SESSION['phpgw_info']['instant_messenger']['user'];
               $_pass     = $_SESSION['phpgw_info']['instant_messenger']['passwd'];
               $_server   = $_SESSION['phpgw_info']['instant_messenger']['name_jabber'];
               $_port     = $_SESSION['phpgw_info']['instant_messenger']['port_jabber'];
               $_resource = $_SESSION['phpgw_info']['instant_messenger']['resource_jabber'];
               $_time     = time();
               $_SESSION['phpgw_info']['instant_messenger']['time'] = $_time;
               $_SESSION['phpgw_info']['instant_messenger']['socket'] = NULL;
               $_SESSION['phpgw_info']['instant_messenger']['socket']['in'] = NULL;
               $_SESSION['phpgw_info']['instant_messenger']['socket']['out'] = array();
               $_SESSION['phpgw_info']['instant_messenger']['socket']['out']['message'] = NULL;
               $_SESSION['phpgw_info']['instant_messenger']['socket']['block'] = false;

               session_write_close();

               $a = new Jabberd2;
               if ( ($a->connect($_user . '@' . $_server . '/' . $_resource . ':' . $_port, $_pass)) )
               {
                  $pUsers[$pSession] = array();
                  $pUsers[$pSession]['jabber'] = $a;
                  $pUsers[$pSession]['time'] = $_time;
                  $pUsers[$pSession]['attempt'] = 0;
               }
               else
               {
                  unset($a);
               }
               break;
            }
            session_write_close();
         }
      }
   }

   function close($pUser)
   {
      global $users;
      $users[$pUser]['jabber']->disconnect();
      unset($users[$pUser]);
   }

   function readSocket(&$pUsers, $pSession)
   {
      global $send;
      $sessionpath = explode(';', session_save_path());
      foreach ( $sessionpath as $path )
      {
         $path = ( strrpos($path, '/') == strlen($path) - 1 ) ? $path : $path . '/';

         if ( file_exists($path . 'sess_' . $pSession) )
         {
            session_id($pSession);

            ob_start();
            session_start();
            ob_clean();
            ob_end_flush();

            $is_user = isset($_SESSION['phpgw_info']['instant_messenger']['user']) and isset($_SESSION['phpgw_info']['instant_messenger']['passwd']);
            if ( $is_user )
            {
               $pUsers[$pSession]['time'] = $_SESSION['phpgw_info']['instant_messenger']['time'];
					$readSocket = @$pUsers[$pSession]['jabber']->readSocket();
               
               if ( $readSocket !== false )
               {
                  if ( !empty($readSocket) )
                  {
                     $_SESSION['phpgw_info']['instant_messenger']['socket']['in'] .= $readSocket;
                  }

						if ( $_SESSION['phpgw_info']['instant_messenger']['socket']['out'] )
							foreach ( $_SESSION['phpgw_info']['instant_messenger']['socket']['out'] as $action => $value )
							{
								if ( $action === 'message' )
								{
									if ( !is_null($value) )
									{
										$pUsers[$pSession]['jabber']->writeSocket($value);
										$_SESSION['phpgw_info']['instant_messenger']['socket']['out']['message'] = NULL;
									}
								}
								else if ( $action === 'vcard' )
								{
									if ( !empty($value) )
									{
										foreach ( $value as $key => $val )
										{
											$pUsers[$pSession]['jabber']->getVcard($val);
											unset($_SESSION['phpgw_info']['instant_messenger']['socket']['out']['vcard'][$key]);
										}
									}
								}
								else
								{
									if ( method_exists($pUsers[$pSession]['jabber'], $action) )
										if ( $value )
											$pUsers[$pSession]['jabber']->$action($value);
										else
											$pUsers[$pSession]['jabber']->$action();
									unset($_SESSION['phpgw_info']['instant_messenger']['socket']['out'][$action]);
								}
							}
               }
               else
               {
                  close($pSession);
               }
               session_write_close();
               break;
            }
            session_write_close();
         }
      }
   }
?>
